%global snap_release 20190603
Summary:    Root crontab files used to schedule the execution of programs
Name:       crontabs
Version:    1.11
Release:    6%{?dist}
License:    Public Domain and GPLv2
URL:        https://github.com/cronie-crond/crontabs
Source0:    https://github.com/cronie-crond/crontabs/releases/download/crontabs-%{snap_release}/%{name}-%{version}-%{snap_release}git.tar.gz
BuildArch:  noarch
Requires:   sed
Recommends: cronie

%description
This package is used mainly for executing files by cron. The crontabs
package contains root crontab files and directories. Install cron daemon
to run the jobs from the crontabs. The cron daemon such as cronie or fcron 
checks the crontab files to see when particular commands are scheduled to
be executed. If commands are scheduled, it executes them.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.{hourly,daily,weekly,monthly}
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man4/

install -m644 ./crontab $RPM_BUILD_ROOT/etc/crontab
install -m755 ./run-parts $RPM_BUILD_ROOT/usr/bin/run-parts
install -m644 ./{crontabs,run-parts}.4 $RPM_BUILD_ROOT/%{_mandir}/man4/

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
touch $RPM_BUILD_ROOT/etc/sysconfig/run-parts

%files
%license COPYING
%config(noreplace) /etc/crontab
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/run-parts
%{_bindir}/run-parts
%dir /etc/cron.{hourly,daily,weekly,monthly}
%{_mandir}/man4/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Yi Lin <nilusyi@tencent.com> - 1.11-2
- add lost dist macro.

* Fri Jul 8 2022 Minjie HUANG <jackmjhuang@tencent.com> - 1.11-1
- Initial build.
